<?xml version="1.0"?>
<xsl:stylesheet version="1.1"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format"
>

<xsl:template match="circler" mode="contact">
  <tr valign="top">
    <td width="25%">
      <a href="#{firstname}{lastname}">
      <span class="name"><xsl:value-of select="lastname"/>, 
	<xsl:value-of select="firstname"/> </span></a></td> 
    <td width="25%">
      <span class="location"><xsl:value-of select="location"/>
	</span></td> 
    <td width="25%"><span class ="phone">
      <xsl:apply-templates select="phone" mode="multiple"/></span></td>
    <td width="25%"><span class="email">
      <xsl:apply-templates select="email" mode="multiple"/></span></td>
  </tr>
</xsl:template>

<xsl:template match="circler" mode="individual">
	<br/><br/><span class="header3"><span class="ind1">
	<img src="{face}" align="right" />
	<span class="label">Name: </span> 
	<a name="{firstname}{lastname}">
	  <xsl:value-of select="firstname"/>&#160;<xsl:value-of select="lastname"/>
	</a>
</span></span>

	  <br/><span class="ind2"><span class="label">Location: </span> <xsl:value-of select="location"/></span>
	  <br/><span class="ind3"><span class="label">Phone: </span> <xsl:apply-templates select="phone" mode="multiple"/></span>
	  <br/><span class="ind4"><span class="label">email: </span> <xsl:apply-templates select="email" mode="multiple"/></span>
	  <br/><span class="ind5"><span class="label">Skills:</span><xsl:apply-templates select="skill" mode="multiple"/></span>
	  <br/><span class="ind6"><span class="label">Upgrades:</span><xsl:apply-templates select="upgrade" mode="multiple"/></span>
	  <br/><span class="ind7"><span class="label">System:</span><xsl:apply-templates select="system" mode="multiple"/></span>
</xsl:template>

<xsl:template match="circler" mode="skill">
  <span class="name"><span class="bolder"><xsl:value-of select="lastname"/>, 
    <xsl:value-of select="firstname"/></span></span>
    <xsl:apply-templates select="skill" mode="multiple"/>
  <br/>
</xsl:template>

<xsl:template match="email" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/><br/>
</xsl:template>

<xsl:template match="phone" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/><br/>
</xsl:template>

<xsl:template match="skill" mode="multiple">
  <br/>&#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="cartridge" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="arm" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="turntable" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="transport" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="dac" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="cdplayer" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="tuner" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="preamp" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="poweramp" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="speaker" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="cable" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="support" mode="multiple">
  &#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="system" mode="multiple">
  <br/><span class="ind8"><span class="label">Cartridge: </span> 
  <xsl:apply-templates select="cartridge" mode="multiple"/> </span>
  <br/><span class="ind9"><span class="label">Arm: </span> 
  <xsl:apply-templates select="arm" mode="multiple"/> </span>
  <br/><span class="ind10"><span class="label">Turntable: </span> 
  <xsl:apply-templates select="turntable" mode="multiple"/> </span>
  <br/><span class="ind11"><span class="label">Transport: </span> 
  <xsl:apply-templates select="transport" mode="multiple"/> </span>
  <br/><span class="ind12"><span class="label">DAC: </span> 
  <xsl:apply-templates select="dac" mode="multiple"/> </span>
  <br/><span class="ind13"><span class="label">CD Player: </span> 
  <xsl:apply-templates select="cdplayer" mode="multiple"/> </span>
  <br/><span class="ind16"><span class="label">Tuner: </span> 
  <xsl:apply-templates select="tuner" mode="multiple"/> </span>
  <br/><span class="ind17"><span class="label">Pre amp: </span> 
  <xsl:apply-templates select="preamp" mode="multiple"/> </span>
  <br/><span class="ind18"><span class="label">Power Amp: </span> 
  <xsl:apply-templates select="poweramp" mode="multiple"/> </span>
  <br/><span class="ind19"><span class="label">Speakers: </span> 
  <xsl:apply-templates select="speaker" mode="multiple"/> </span>
  <br/><span class="ind20"><span class="label">Cable: </span> 
  <xsl:apply-templates select="cable" mode="multiple"/> </span>
  <br/><span class="ind21"><span class="label">Support: </span> 
  <xsl:apply-templates select="support" mode="multiple"/> </span>
</xsl:template>

<xsl:template match="upgrade" mode="multiple">
  <br/>&#160;&#160;&#160;<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="doc">
  <html>
    <head><title>London DIY Hi-Fi Circle Contact List 2002</title>
	<link rel="stylesheet" type="text/css" href="./contact.css" />
	<style>
    	body {background:url(./circle_emboss1.png)}
	</style>
    </head>
    <body><span class="main">
	<center><span class="header1">London Live DIY HiFi Circle</span>
	<span class="header2"><br/>2002 Contact List
	<br/>&amp; 2001 Survey Results</span>
	<br/>
	<table width="90%" border="0" cellpadding="2" cellspacing="5">
  	  <tr valign="top">
	    <td width="25%"><a href="#contact">jump to Contact list </a></td>
	    <td width="25%"><a href="#skill">jump to Skills List </a></td>
	    <td width="25%"><a href="#individual">jump to Individual Listings</a></td>
  	  </tr>
	</table>
	</center>
      <span class="header2"><a name="contact">Contact List</a> </span>
<table width="90%" border="0" cellpadding="2" cellspacing="5">
  <tr valign="top">
    <td width="25%"><span class="name"><b>Name</b></span></td>
    <td width="25%"><span class="location"><b>Location</b></span></td>
    <td width="25%"><span class="phone"><b>telephone</b></span></td>
    <td width="25%"><span class="email"><b>email</b></span></td>
  </tr>
	  <xsl:apply-templates select="circler" mode="contact"/>
</table>
	<center>
	<table width="90%" border="0" cellpadding="2" cellspacing="5">
  	  <tr valign="top">
	    <td width="25%"><a href="#contact">jump to Contact list </a></td>
	    <td width="25%"><a href="#skill">jump to Skills List </a></td>
	    <td width="25%"><a href="#individual">jump to Individual Listings</a></td>
  	  </tr>
	</table>
	</center>
	<span class="header2"><a name="skill">Skills List</a></span>
	<br/>
	<xsl:apply-templates select="circler" mode="skill"/>
	<center>
	<table width="90%" border="0" cellpadding="2" cellspacing="5">
  	  <tr valign="top">
	    <td width="25%"><a href="#contact">Contact list </a></td>
	    <td width="25%"><a href="#skill"> Skills List </a></td>
	    <td width="25%"><a href="#individual"> Individual Listings</a></td>
  	  </tr>
	</table>
	</center>
	<span class="header2"><a name="individual">Individual listings</a></span>
<span class="name"> <br/>(To have your picture updated send it in digital or analogue format to Neil Mackie)</span>
	  <xsl:apply-templates select="circler" mode="individual"/>
	  <hr/>
      <xsl:apply-templates select="footer"/>
    </span></body>
  </html>
</xsl:template>

<xsl:template match="footer">
  <xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>
